#!/bin/bash

# 获取当前日期
DATE=$(date +%Y-%m-%d)
LOG_FILE="debug_mod_${DATE}.log"

# 获取当前路径并显示
CUR_PATH=$(pwd)
echo "Local logcat capturing started..."
echo "Filter: 'USA'"
echo "Output: $CUR_PATH/$LOG_FILE"


dmesg -w 2>&1 | grep --line-buffered "USA" >> "$LOG_FILE" 2>&1
